# cim_flutter_sdk

开源通讯库 [CIM](https://gitee.com/farsunset/cim) 的 flutter版本SDK

## 如何在自己的项目中引用SDK

在 pubspec.yaml 引入


```
dependencies:
  cim_flutter_sdk: ^1.0.4
```

  
## 如何使用

```
import 'package:cim_flutter_sdk/cim_socket.dart';
...

  late CIMSocket? cimSocket = null;

  late List<String> list = [];

  late bool connectStatus = false;

  @override
  void initState() {
    super.initState();
    cimSocket = CIMSocket(onMessageReceived: (value) {
      setState(() {
        list.add(value.toProto3Json().toString());
      });
    }, onConnectionStatusChanged: (value) {
      setState(() {
        connectStatus = value;
      });
    });
    cimSocket!.init('127.0.0.1', 34567, '16501516154949');
    cimSocket!.connect();
  }
...

 @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text(connectStatus ? '已连接' : '未连接'),
        ),
        body: ListView.builder(
          itemCount: list.length,
          itemBuilder: (context, index) {
            return Text(list[index]);
          },
        ),
      ),
    );
  }

```
